Technikai fórum

Költözés 2.4.x-ről 3.2.2-re - Tanácsot kérek

 
 
Kép
Költözés 2.4.x-ről 3.2.2-re - Tanácsot kérek
Lőrik Lajos írta 2017. április 18., kedd, 15:21 időpontban
 

Sziasztok!

Régóta használom a Moodle 2.4.1-es változatát. Nincs vele gond, teszi a dolgát rendesen. Azonban szükségem lenne Office 365 beépülésre a további kurzusaim fejlesztésére és a hivatalos plug-inek között nem találtam az én verziószámomnak megfelelő plugint hozzá.

Ezért arra az elhatározásra jutottam, hogy a nyár folyamán átköltözök egy újabb verzióra - jelenleg amit a szolgáltatóm támogat az a 3.2.2-es változat. Direkt frissíteni nem tudok, mivel azt a szolgáltatóm nem támogatja (pedig az lenne az igazi!) :)

Az igazat megvallva nagyon szépen be van állítva az oldal, sok a felhasználó is. Nem szeretném, ha bármi is elveszne, elkallódna átköltözés közben.

Létezeik-e a Moodle-ben olyan menü/parancs ami segíthet nekem ebben? Esetleg egy leírás is jól jönne...

Válaszaitokat előre is köszönöm!

Kép
Tárgy: Költözés 2.4.x-ről 3.2.2-re - Tanácsot kérek
Vágvölgyi Csaba írta 2017. április 18., kedd, 21:29 időpontban
 

Sziasztok!

Ha kimondottan az Office 365 intergráció a cél, és csak nyárra tervezed a frissítést, akkor a néhány héten belül megjelenő Moodle 3.3 verziót fogom javasolni, mert ebben már alapértelmezett szolgáltatás lesz a Google és Microsoft online irodai szoftvercsomagok intergrációja:

https://docs.moodle.org/dev/Better_Office_Integrations_3.3#Project_-_Better_Office_Integrations_-_Moodle_3.3

Ez azért is jó, mert garantált a folyamatos fejlesztés és nincs függőség az kiegészítő pluginektől.

Az, hogy a jelenlegi szoftverkörnyezeted megfelel-e a majdani a verziónak kideríthető a Portáladminisztráció > Szerver  > Környezetet illetve a Portáladminisztráció > Szerver > PHP-vel kapcsolatos infó oldalak segítségével.

A szoftverkörnyezeten túl fontos kérdés, hogy jelenleg milyen pluginek vannak telepítve. Ha környezet alkalmas a frissítésre, akkor valószínűleg két lépcsőben megoldható a majdani frissítés (először 2.7-re, majd a végső verzióra) A részletekbe most nem mennék bele, de szívesen segítek a dologban.

Üdv.: Vágvölgyi Csaba

 

 

Kép
Tárgy: Költözés 2.4.x-ről 3.2.2-re - Tanácsot kérek
Lőrik Lajos írta 2017. április 19., szerda, 08:40 időpontban
 

Szia!

Köszönöm a gyors választ!

Akkor várok még a 3.3-as verzióra. Ha jól értelmezem, az általad linkelt leírást, akkor elég sokmindent beletesznek majd, ami teljes mértékben be tudja integrálni az O365-öt a Moodlebe. Praktikuson az O365-öt akár radius szerverként is tudom majd alkalmazni a Moodleben (az O365-ös felhasználói nevekkel a Moodlebe is be tudok majd jelentkezni), nem beszélve arról, hogy az O365-ben lérehozott fáljaimat a Moodleben is simán el tudom majd érni. Ez fantasztikus! Pont ez kell majd nekem!

A frissítéssel már lehet, hogy gondban leszek. Megnéztem az általad javasolt Portáladminisztráció > Szerver  > Környezet menüpont elemeit, értelmezve a a 2.7-es frissítésre. Csatoltam is egy képenyőképet erről, amiben láthatod, hogy az első három elem ellenőrzést igényel és mind a PHP-vel kapcsolatos dolog. Ezeket hol tudom pontosan beállítani, hogy züldre válson az állapotuk?

Portáladminisztráció > Szerver > PHP-vel kapcsolatos infó menüpontot is megnéztem. Ott kilistázott egy csomó infót a PHP beállításairól, de nem tudom mire kell majd figyelnem. Igazság szerint azt sem tudom, mit kell majd beállítgatnom és hol. Egyelőre annyit hámoztam ki ebből az oldalból, hogy a PHP verzióm 5.5.39-es.

A legnagyobb gond szerint az lesz, hogy majd a szolgáltatóm nem enged hozzá a PHP beállításaihoz. A szolgáltatóm cPanelen keresztül enged hozzáférni a honlap és tárhelyemenedzseléséhez. 

A felajánlott segítségedet biztosan igénybe fogom venni, egyedül ez nem fog menni. :)